<?php

/**
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

if( !class_exists( 'anna_lite_admin_notice' ) ) {

	class anna_lite_admin_notice {
	
		/**
		 * Constructor
		 */
		 
		public function __construct( $fields = array() ) {

			if ( 
				!get_option( 'anna-lite-membership-notice') &&
				version_compare( PHP_VERSION, ANNA_LITE_MIN_PHP_VERSION, '>=' )
			) {

				add_action( 'admin_notices', array(&$this, 'admin_notice') );
				add_action( 'admin_head', array( $this, 'dismiss' ) );
				add_action( 'admin_init', array(&$this, 'add_script') ,11);

            }

		}
        
		 /**
		 * Loads the notice style
		 */

		public function add_script() {

			global $wp_version;

			$file_dir = get_template_directory_uri() . '/core/admin/assets/';
			wp_enqueue_style ( 'anna-lite-notice', $file_dir.'css/notice.css' );

		}
        
		/**
		 * Dismiss notice.
		 */
		
		public function dismiss() {

			if ( isset( $_GET['anna-lite-dismiss'] ) && check_admin_referer( 'anna-lite-dismiss-action' ) ) {
		
				update_option( 'anna-lite-membership-notice', intval($_GET['anna-lite-dismiss']) );
				remove_action( 'admin_notices', array(&$this, 'admin_notice') );
				
			} 
		
		}

		/**
		 * Admin notice.
		 */
		 
		public function admin_notice() {
			
		?>
            <div class="notice notice-warning is-dismissible">

                <p>
                    <strong>
                        <?php esc_html_e( 'Unlock all premium features of Anna Lite', 'anna-lite' );  ?>
                    </strong>
                </p>

                <p class="notice-coupon-message">

                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( '600+ Google Fonts', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Custom colors', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Unlimited sidebars', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Portfolio section', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Lifetime updates', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Unlimited Website Usage', 'anna-lite' ); ?><br/>
                    <span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( '30 days money back guarantee', 'anna-lite' ); ?>
                
                </p>

                <p>
                    <?php
                    printf(
                        wp_kses_post(
                            __( 'Anna Lite Pro is now available through the <strong>%s</strong>, giving you access to all 19 premium WordPress themes with a single, one-time payment.', 'anna-lite' )
                        ),
                        esc_html__( 'Themes Membership', 'anna-lite' )
                    );
                    ?>
                </p>

                <p>
                    <a target="_blank" href="<?php echo esc_url( 'https://www.themeinprogress.com/anna-clean-wordpress-blog-and-shop-theme/?ref=2&campaign=anna-notice' ); ?>" class="button button-primary"><?php esc_html_e( 'Get access - from €15.99', 'anna-lite' ); ?></a>

                    <span class="notice-arrow" style="">&#x2938;</span>

                </p>

                <p>
            
                    <?php

                        printf( 
                            '<a href="%1$s" class="dismiss-notice">' . esc_html__( 'Dismiss this notice', 'anna-lite' ) . '</a>', 
                            esc_url( wp_nonce_url( add_query_arg( 'anna-lite-dismiss', '1' ), 'anna-lite-dismiss-action'))
                        );

                    ?>
                    
            	</p>

            </div>
		
		<?php
		
		}

	}

}

new anna_lite_admin_notice();

?>